LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSQLOutput Interface Referencepublished

is used as an output stream for writing the attributes of a user-defined type back to the database. More...

`import"XSQLOutput.idl";`

Inheritance diagram for XSQLOutput:

## Public Member Functions
void | writeString ([in]string x) raises (SQLException)
| writes the next attribute to the stream as a string. More...
void | writeBoolean ([in]boolean x) raises (SQLException)
| writes the next attribute to the stream as boolean. More...
void | writeByte ([in]byte x) raises (SQLException)
| writes the next attribute to the stream as byte. More...
void | writeShort ([in]short x) raises (SQLException)
| writes the next attribute to the stream as short. More...
void | writeInt ([in]long x) raises (SQLException)
| writes the next attribute to the stream as long. More...
void | writeLong ([in]hyper x) raises (SQLException)
| writes the next attribute to the stream as hyper. More...
void | writeFloat ([in]float x) raises (SQLException)
| writes the next attribute to the stream as float. More...
void | writeDouble ([in]double x) raises (SQLException)
| writes the next attribute to the stream as double. More...
void | writeBytes ([in]sequence< byte > x) raises (SQLException)
| writes the next attribute to the stream as byte sequence. More...
void | writeDate ([in]com::sun::star::util::Date x) raises (SQLException)
| writes the next attribute to the stream as a date. More...
void | writeTime ([in]com::sun::star::util::Time x) raises (SQLException)
| writes the next attribute to the stream as a time. More...
void | writeTimestamp ([in]com::sun::star::util::DateTime x) raises (SQLException)
| writes the next attribute to the stream as a datetime. More...
void | writeBinaryStream ([in]com::sun::star::io::XInputStream x) raises (SQLException)
| writes the next attribute to the stream as a stream of uninterpreted bytes. More...
void | writeCharacterStream ([in]com::sun::star::io::XInputStream x) raises (SQLException)
| writes the next attribute to the stream as a stream of Unicode string. More...
void | writeObject ([in]XSQLData x) raises (SQLException)
| writes to the stream the data contained in the given `XSQLData` object. More...
void | writeRef ([in]XRef x) raises (SQLException)
| writes a REF(&lt;structured-type&gt;) to the stream. More...
void | writeBlob ([in]XBlob x) raises (SQLException)
| writes a BLOB to the stream. More...
void | writeClob ([in]XClob x) raises (SQLException)
| writes a CLOB to the stream. More...
void | writeStruct ([in]XStruct x) raises (SQLException)
| writes a structured-type to the stream. More...
void | writeArray ([in]XArray x) raises (SQLException)
| writes an array to the stream. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used as an output stream for writing the attributes of a user-defined type back to the database.

This interface, used only for custom mapping, is used by the driver, and its methods are never directly invoked by a programmer.

When an object of a class implementing interface com::sun::star::sdbc::XSQLData is passed as an argument to a SQL statement, the JDBC driver calls com::sun::star::sdbc::SQLData::getSQLType() to determine the kind of SQL datum being passed to the database.
The driver then creates an instance of `XSQLOutput` and passes it to the method com::sun::star::sdbc::XSQLData::writeSQL() . The method `writeSQL` in turn calls the appropriate `XSQLOutput.writeXXX` methods to write data from the com::sun::star::sdbc::XSQLData object to the `XSQLOutput` output stream as the representation of a SQL user-defined type.

## Member Function Documentation

## ◆ writeArray()

void writeArray | ( | [in] XArray | x | ) |
raises | ( | SQLException
| ) |  |

writes an array to the stream.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeBinaryStream()

void writeBinaryStream | ( | [in] com::sun::star::io::XInputStream | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as a stream of uninterpreted bytes.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeBlob()

void writeBlob | ( | [in] XBlob | x | ) |
raises | ( | SQLException
| ) |  |

writes a BLOB to the stream.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeBoolean()

void writeBoolean | ( | [in] boolean | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as boolean.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeByte()

void writeByte | ( | [in] byte | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as byte.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeBytes()

void writeBytes | ( | [in] sequence< byte > | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as byte sequence.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeCharacterStream()

void writeCharacterStream | ( | [in] com::sun::star::io::XInputStream | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as a stream of Unicode string.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeClob()

void writeClob | ( | [in] XClob | x | ) |
raises | ( | SQLException
| ) |  |

writes a CLOB to the stream.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeDate()

void writeDate | ( | [in] com::sun::star::util::Date | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as a date.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeDouble()

void writeDouble | ( | [in] double | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as double.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeFloat()

void writeFloat | ( | [in] float | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as float.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeInt()

void writeInt | ( | [in] long | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as long.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeLong()

void writeLong | ( | [in] hyper | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as hyper.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeObject()

void writeObject | ( | [in] XSQLData | x | ) |
raises | ( | SQLException
| ) |  |

writes to the stream the data contained in the given `XSQLData` object.

When the `XSQLData` object is `NULL` , this method writes an SQL NULL to the stream. Otherwise, it calls the com::sun::star::sdbc::XSQLData::writeSQL() method of the given object, which writes the object's attributes to the stream. The implementation of the method `XSQLData::writeSQL()` calls the appropriate `XSQLOutput.writeXXX` method(s) for writing each of the object's attributes in order.
The attributes must be read from an com::sun::star::sdbc::XSQLInput input stream and written to an `XSQLOutput` output stream in the same order in which they were listed in the SQL definition of the user-defined type.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeRef()

void writeRef | ( | [in] XRef | x | ) |
raises | ( | SQLException
| ) |  |

writes a REF(&lt;structured-type&gt;) to the stream.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeShort()

void writeShort | ( | [in] short | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as short.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeString()

void writeString | ( | [in] string | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as a string.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeStruct()

void writeStruct | ( | [in] XStruct | x | ) |
raises | ( | SQLException
| ) |  |

writes a structured-type to the stream.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeTime()

void writeTime | ( | [in] com::sun::star::util::Time | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as a time.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

## ◆ writeTimestamp()

void writeTimestamp | ( | [in] com::sun::star::util::DateTime | x | ) |
raises | ( | SQLException
| ) |  |

writes the next attribute to the stream as a datetime.

Parameters

  x | the value to pass to the database.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XSQLOutput.idl